# Get Remaining Quota

Retrieves the remaining API quota for the authenticated user. 

<Callout icon="📘" theme="info">
  **Note:**

  * To convert quota to credits, divide the quota amount by 60. For example, if the `remaining_quota` is 3600, dividing it by 60 means the user has **60 credits** remaining. For more details on how credits, quotas, and pricing work across different API plans, refer to the <Anchor label="API Pricing " target="_blank" href="https://www.heygen.com/api-pricing">API Pricing </Anchor> plan.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/user/remaining_quota": {
      "get": {
        "summary": "Get Remaining Quota",
        "description": "Retrieve the remaining HeyGen API quota for the authenticated user",
        "operationId": "get-remaining-quota-v2",
        "responses": {
          "200": {
            "description": "Remaining quota retrieved successfully - Expand to view the detailed response schema. ",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "remaining_quota": 2344452,
                        "details": {
                          "api": 2344452,
                          "avatar_iv_free_credit": 3,
                          "video_agent_free_video": 2
                        }
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "remaining_quota": {
                          "type": "integer",
                          "example": 60,
                          "default": 0,
                          "description": "Total number of remaining quota units available for the user. "
                        },
                        "details": {
                          "type": "object",
                          "properties": {
                            "api": {
                              "type": "integer",
                              "description": "Remaining general API quota units available for the user. "
                            },
                            "avatar_iv_free_credit": {
                              "type": "integer",
                              "description": "Number of free avatar IV videos available under the user's account. "
                            },
                            "video_agent_free_video": {
                              "type": "integer",
                              "description": "Number of free video agent videos available under the user's account. "
                            }
                          },
                          "description": "Detailed breakdown of the user's quota units by category. "
                        }
                      },
                      "description": "Contains the remaining quota information. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```